> ## Documentation Index
> Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get notification

> Find Event notification by notificationId

Find Event notification by notificationId

```http theme={null}
GET https://services.leadconnectorhq.com/calendars/{calendarId}/notifications/{notificationId}
```

## Autorización

<ParamField header="Authorization" type="string" required>
  Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication).
</ParamField>

<ParamField header="Version" type="string" required default="2021-07-28">
  Versión de la API.
</ParamField>

## Path parameters

<ParamField path="calendarId" type="string" required />

<ParamField path="notificationId" type="string" required />

## Respuestas

<Accordion title="200 - Successful response">
  <ResponseField name="_id" type="string">
    Notification ID
  </ResponseField>

  <ResponseField name="receiverType" type="string" default="contact">
    Posibles valores: 'contact', 'guest', 'assignedUser', 'emails', 'phoneNumbers', 'business'
  </ResponseField>

  <ResponseField name="additionalEmailIds" type="string[]" />

  <ResponseField name="additionalPhoneNumbers" type="string[]" />

  <ResponseField name="channel" type="string" default="email">
    Posibles valores: 'email', 'inApp', 'sms', 'whatsapp'
  </ResponseField>

  <ResponseField name="notificationType" type="string" default="confirmation">
    Posibles valores: 'booked', 'confirmation', 'cancellation', 'reminder', 'followup', 'reschedule'
  </ResponseField>

  <ResponseField name="isActive" type="boolean" default="True" />

  <ResponseField name="additionalWhatsappNumbers" type="string[]" />

  <ResponseField name="templateId" type="string" default="0as9d8as0d" />

  <ResponseField name="body" type="string" default="This is a test notification" />

  <ResponseField name="subject" type="string" default="Test Notification" />

  <ResponseField name="afterTime" type="object[]">
    <Expandable title="cada item">
      <ResponseField name="timeOffset" type="number" />

      <ResponseField name="unit" type="string" />
    </Expandable>
  </ResponseField>

  <ResponseField name="beforeTime" type="object[]">
    <Expandable title="cada item">
      <ResponseField name="timeOffset" type="number" />

      <ResponseField name="unit" type="string" />
    </Expandable>
  </ResponseField>

  <ResponseField name="selectedUsers" type="string[]" />

  <ResponseField name="deleted" type="boolean" default="False" />

  ```json theme={null}
  {
    "_id": "string",
    "receiverType": "contact",
    "additionalEmailIds": [
      "example1@email.com",
      "example2@email.com"
    ],
    "additionalPhoneNumbers": [
      "+919876744444",
      "+919876744445"
    ],
    "channel": "email",
    "notificationType": "confirmation",
    "isActive": true,
    "additionalWhatsappNumbers": [
      "+919876744444",
      "+919876744445"
    ],
    "templateId": "0as9d8as0d",
    "body": "This is a test notification",
    "subject": "Test Notification",
    "afterTime": [
      {
        "timeOffset": 1,
        "unit": "hours"
      }
    ],
    "beforeTime": [
      {
        "timeOffset": 1,
        "unit": "hours"
      }
    ],
    "selectedUsers": [
      "user1",
      "user2"
    ],
    "deleted": false
  }
  ```
</Accordion>

<Accordion title="400 - Bad Request">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="401 - Unauthorized">
  ```json theme={null}
  {}
  ```
</Accordion>

## Ejemplo

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET 'https://services.leadconnectorhq.com/calendars/YOUR_calendarId/notifications/YOUR_notificationId' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Version: 2021-07-28'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://services.leadconnectorhq.com/calendars/YOUR_calendarId/notifications/YOUR_notificationId', {
    method: 'GET',
    headers: {
      Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
      Version: '2021-07-28',
    },
  });
  const data = await response.json();
  ```

  ```python Python theme={null}
  import os, requests
  response = requests.request(
      'GET',
      'https://services.leadconnectorhq.com/calendars/YOUR_calendarId/notifications/YOUR_notificationId',
      headers={
          'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
          'Version': '2021-07-28',
      },
  )
  data = response.json()
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init('https://services.leadconnectorhq.com/calendars/YOUR_calendarId/notifications/YOUR_notificationId');
  curl_setopt_array($ch, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_CUSTOMREQUEST => 'GET',
      CURLOPT_HTTPHEADER => [
          'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
          'Version: 2021-07-28',
      ],
  ]);
  $data = json_decode(curl_exec($ch), true);
  ```
</CodeGroup>
